Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IArchiveReference

All Superinterfaces:
  IAdaptable

All Known Implementing Classes:
  ArchiveReference

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IArchiveReference

extends IAdaptable

Site archive interface. Site archive is a representation of a packaged archive (file) located on an update site. It allows a "symbolic" path used to identify a plug-in or non-plug-in feature entry to be explicitly mapped to a specific URL.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `ArchiveReference`

Method Summary
`String` `getPath()` Deprecated.
`URL` `getURL()` Deprecated. Retrieve the site archive URL

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getPath

    String getPath()

  Deprecated.
  Returns:
    the archive "symbolic" path, or `null`
  Since:
    2.0

### getURL

    URL getURL()

  Deprecated.
  Retrieve the site archive URL

  Returns:
    the archive URL, or `null`
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.